Skip to content

Split Settlement

| View as Markdown

With split settlement functionality, the merchants will be able to communicate their desired settlement ratio for each transaction directly through the API, allowing for seamless execution of settlements based on their specifications.

https://kraken.airpay.co.in/airpay/neft/split_payout/transaction_level_split_config_api.php
ParameterType ValueDescriptionValue Like
Content-Type requiredStringThe Content-Type header indicates the media type of the request or response body so the receiver knows how to process the data.application/json
Api-Key requiredStringApi-Key (airpay will provide)HWW412GG
ParameterType ValueDescriptionValue Like
TRANSACTION_ID requiredAlphanumeric
(1-30)
airpay ID.241241242
RRN requiredNumeric
(1-12)
RRN of that particular transaction.3123124412
SPLIT_REQUEST_ID requiredNumeric
(1-15)
Unique Identifier used to identify the request. Only numeric values are allowed.536423
PRIACCT_IDENTIFIER requiredNumeric
(8-12)
Bank identifier name of primary account.1097897676
PRIACCT_SPLIT_VALUE requiredNumeric
(8-12)
Split breakup for primary account.50
OTHER_IDENTIFIERS optionalAlphanumericOther bank identifiers, apart from the primary account, to which the remaining splits need to be distributed, separated by ''.
SPLIT_VALUES requiredNumeric
(8-12)
Split breakup for other identifiers separated by ''. If split type for the merchant is ‘Percentage’, then sum of SPLIT_VALUES and PRIACCT_SPLIT_VALUE should be equal to 100. else if split type is ‘Absolute’, then the sum of SPLIT_VALUES and PRIACCT_SPLIT_VALUE should be equal to the txn amount.
TOKEN requiredAlphanumericUsed for user authentication.
PRIVATE_KEY (As per PHP) = hash(‘SHA256’, APIKEY.’@’.USERNAME.’:
:’.PASSWORD);
USERNAME → Merchant API access user name.
PASSWORD → Merchant API access password.
Token generation logic (As per PHP)= hash_hmac(‘sha256’,PRIVATE_KEY.TRANSACTION_ID,APIKEY);
APIKEY → Merchant API access Key.
ParameterType ValueDescriptionValue Like
message requiredStringSuccess or fail message.Success
errorCode requiredAlphanumericError code.000 :- Success. E01 :- Transaction not successful. Only success transactions are accepted. E02 :- Cutoff time exceeded./Transaction already settled/The transaction has already been added to the settlement queue. E03 :- Transaction cannot be split below Re1. E04 :- Please check the values, total should be equal to 100%. E05 :- Please check the values, total should be equal to settlement value. E06 :- Invalid API Request. E07 :- Duplicate Request - Successful record already exists. E08 :- Duplicate Split ID Requests. E09 :- Kindly include Primary Account in the split. E10 :- Unauthorised Access. E11 :- Transaction ID is empty. E12 :- Please verify the transaction. E13 :- Split Request ID is empty. E14 :- Primary Account split value is empty. E15 :- Please verify the transaction Id and RRN. E16 :- Transaction level split settlement is not enabled for this merchant. E17 :- The bank identifier shared for primary account does not correspond to any active account. E18 :- Other bank identifiers field contains either invalid or inactive accounts. E19 :- Other bank identifiers cannot be more than 3. E20 :- Identifiers cannot be the same for the primary account identifier and other account identifiers. E21 :- Duplicate identifiers are not accepted in Other Identifiers. E22 :- Primary account shared is wrong. E26 :- Split value of primary account contains non-numeric value. E27 :- Split value of other accounts contains non-numeric value. E28 :- Sum of all split values cannot be greater than 100. E29 :- Total number of other identifiers and split values are not same. E30 :- Rate are not calculated for this transaction. Please try again after few minutes. E31 :- Split type is not defined. E32 :- Invalid Token. E33 :- Split Request ID contains non-numeric value. E34 :- Split value of primary account cannot be zero. E35 :- Split value of other accounts cannot be zero. E36 :- Refund for the full amount has been initiated for this transaction. E37 :- Chargeback for the full amount has been initiated for this transaction.